org.apache.ignite.internal.mem

## Interface DirectMemoryProvider

All Known Implementing Classes:
  MappedFileMemoryProvider, UnsafeMemoryProvider

    public interface DirectMemoryProvider

Direct memory provider interface. Not thread-safe.

### Method Summary

Methods
`void` `initialize(long[] chunkSizes)`
`DirectMemoryRegion` `nextRegion()` Attempts to allocate next memory region.
`void` `shutdown()` Shuts down the provider.

### Method Detail

#### initialize

    void initialize(long[] chunkSizes)

Parameters:
  `chunkSizes` - Initializes provider with the chunk sizes.

#### shutdown

    void shutdown()

Shuts down the provider. Will deallocate all previously allocated regions.

#### nextRegion

    DirectMemoryRegion nextRegion()

Attempts to allocate next memory region. Will return `null` if no more regions are available.

Returns:
  Next memory region.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017